import { ComponentInterface } from '../../stencil-public-runtime';
export declare type SvgLineCap = 'butt' | 'round' | 'square' | 'inherit';
export declare class ProgressCircleComponent implements ComponentInterface {
    /** The progress value in percent. Use -1 or undefined for indeterminate loading animation. */
    value: number;
    /** The circle radius in percent. The default size is 200px (radius 100px) but scaled to 100% of parent. */
    radius: number;
    /** The circle color. Use predefined colors like `info`, `success`, `warning` or `danger` or a custom color like `#123456` or `yellow`. */
    color: string;
    /** The line width in percent. If stroke >= radius then circle is filled (pie). */
    stroke: number;
    /** The line cap shape. For example: `round`. */
    shape: SvgLineCap;
    el: HTMLElement;
    isIndeterminate(): boolean;
    private getValidValues;
    render(): any;
}
